
Core - Bug # 40811

Task # 40095 (Resolved): Move core to namespaces

Status: Closed Priority: Should have
Author: Stefan Neufeind Category:
Created: 2012-09-11 Assigned To:
Updated: 2015-01-16 Due date:
TYPO3 Version: 6.0
PHP Version:
Complexity:
Is Regression: No
Sprint Focus:
Subject: Rename occurences still pointing to old classes after namespace-renaming
Description

Example: @see tslib_fe::includeTCA()

class tslib_fe is now class TypoScriptFrontendController

Oh, and inside itself that class still claims to be part of * @subpackage tslib

There might other similar cases due to namespace-renaming in 6.0.

Related issues:
related to Core - Bug # 40390: Namespace: Many files still require "old" files Resolved 2012-08-29

History
#1 - 2012-09-11 19:20 - Jigal van Hemert
- Status changed from New to Needs Feedback
- Parent task set to #40095

Can you make a patch and push it to gerrit?

#2 - 2013-07-12 10:48 - Alexander Opitz

Hi,

as this issue is very old. Does the problem still exists within newer versions of TYPO3 CMS (6.1)?

#3 - 2013-07-12 12:16 - Stefan Neufeind

In master there are some few cases like
typo3/sysext/scheduler/Classes/Scheduler.php:299:        * @see tx_scheduler::fetchTask()
typo3/sysext/scheduler/Classes/Scheduler.php:386:        * @see tx_scheduler::fetchTask()
typo3/sysext/core/Classes/Database/SoftReferenceIndex.php:251:   * @see tslib_content::typolink(), getTypoLinkParts()
typo3/sysext/core/Classes/Database/SoftReferenceIndex.php:287:   * @see tslib_content::typolink(), getTypoLinkParts()
typo3/sysext/core/Classes/Database/SoftReferenceIndex.php:566:   * @see tslib_content::typolink(), setTypoLinkPartsElement()

In this course we might imho also adjust things like
@see BackendUtility::setUpdateSignal()
to use the FQCN as we do in most other places.

One possible startingpoint for searching might imho be:
ack -R "@see " * | grep "::" | grep -v "@see \\\\"

#4 - 2013-07-13 23:36 - Alexander Opitz

Hi Stefan,

so do you want to make a patch?

#5 - 2013-11-19 11:44 - Alexander Opitz
- Status changed from Needs Feedback to New
- Is Regression set to No

#6 - 2015-01-16 22:10 - Wouter Wolters
- Status changed from New to Closed

We spent quite some time already on this with the removing of the class aliasses.. if something pops up that needs a new ticket.
